// @flow
import PropTypes from 'prop-types';

// Needed for the hacky way recompose withContext works.
// TODO: this entire component needs a refactor.
export const selectorContextTypes = {
  stateful: PropTypes.bool,
  name: PropTypes.string,
  onChange: PropTypes.func.isRequired,
  managedValue: PropTypes.oneOfType([
    PropTypes.arrayOf(PropTypes.string),
    PropTypes.string,
    PropTypes.number,
  ]),
  type: PropTypes.oneOf(['radio', 'checkbox']),
};
